FromStringDeserializer.TimeZoneDeserializer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.deser.std

## Class FromStringDeserializer.TimeZoneDeserializer

- java.lang.Object
- - org.codehaus.jackson.map.JsonDeserializer<T>
  - - org.codehaus.jackson.map.deser.std.StdDeserializer<T>
    - - org.codehaus.jackson.map.deser.std.StdScalarDeserializer<T>
      - - org.codehaus.jackson.map.deser.std.FromStringDeserializer<TimeZone>
        - - org.codehaus.jackson.map.deser.std.FromStringDeserializer.TimeZoneDeserializer

- Enclosing class:
    FromStringDeserializer<T>

      protected static class FromStringDeserializer.TimeZoneDeserializer
      extends FromStringDeserializer<TimeZone>

  As per [JACKSON-522], also need special handling for InetAddress...
  Since:
    1.7.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.deser.std.FromStringDeserializer

      `FromStringDeserializer.CharsetDeserializer, FromStringDeserializer.CurrencyDeserializer, FromStringDeserializer.InetAddressDeserializer, FromStringDeserializer.LocaleDeserializer, FromStringDeserializer.PatternDeserializer, FromStringDeserializer.TimeZoneDeserializer, FromStringDeserializer.URIDeserializer, FromStringDeserializer.URLDeserializer, FromStringDeserializer.UUIDDeserializer`

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `StdDeserializer.BigDecimalDeserializer, StdDeserializer.BigIntegerDeserializer, StdDeserializer.BooleanDeserializer, StdDeserializer.ByteDeserializer, StdDeserializer.CharacterDeserializer, StdDeserializer.DoubleDeserializer, StdDeserializer.FloatDeserializer, StdDeserializer.IntegerDeserializer, StdDeserializer.LongDeserializer, StdDeserializer.NumberDeserializer, StdDeserializer.PrimitiveOrWrapperDeserializer<T>, StdDeserializer.ShortDeserializer, StdDeserializer.SqlDateDeserializer, StdDeserializer.StackTraceElementDeserializer`

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `_valueClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FromStringDeserializer.TimeZoneDeserializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TimeZone` | `_deserialize(String value, DeserializationContext ctxt)`

    - ### Methods inherited from class org.codehaus.jackson.map.deser.std.FromStringDeserializer

      `_deserializeEmbedded, all, deserialize`

    - ### Methods inherited from class org.codehaus.jackson.map.deser.std.StdScalarDeserializer

      `deserializeWithType`

    - ### Methods inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultSerializer, parseDouble, reportUnknownProperty`

    - ### Methods inherited from class org.codehaus.jackson.map.JsonDeserializer

      `deserialize, getEmptyValue, getNullValue, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FromStringDeserializer.TimeZoneDeserializer

          public FromStringDeserializer.TimeZoneDeserializer()

  - ### Method Detail

    - #### _deserialize

          protected TimeZone _deserialize(String value,
                              DeserializationContext ctxt)
                                   throws IOException

      Specified by:
        `_deserialize` in class `FromStringDeserializer<TimeZone>`
      Throws:
        `IOException`